package com.ruoyi.platform.mapper;

import com.ruoyi.platform.domain.Ray;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.PageRequest;

import java.util.List;

public interface RayDao {
    long count(@Param("name") String name);

    List<Ray> queryByPage(@Param("name") String name, @Param("pageable") PageRequest pageRequest);

    Ray getRayByName(@Param("name") String name);

    Ray getRayById(@Param("id") Long id);

    int save(@Param("ray") Ray ray);

    int edit(@Param("ray") Ray ray);

    List<Ray> queryByDatasetId(@Param("datasetId") String datasetId);

    List<Ray> queryByModelId(@Param("modelId") String modelId);

    List<Ray> queryByImageId(@Param("imageId") String imageId);

    List<Ray> queryByCodeConfig(@Param("codeConfig") String codeConfig);
}
